"""
Concept drift algorithms are focused on the detection of drift when true
outcomes are available in a supervised learning context. Concept drift is
defined as a shift in the joint probability distributions of samples’ feature
values and their labels. It can occur when either the distribution of the data
changes (as in the unlabeled data case), when the outcome shifts, or when the
data samples and the outcomes shift simultaneously.  
 
Concept drift algorithms typically monitor classifier performance metrics over
time and signal drift when performance decreases. These algorithms vary in their
ability to focus on an isolated performance metric, such as accuracy, or
multiple metrics simultaneously, such as true positive, false positive, true
negative, and false negative rates. 
"""
from menelaus.concept_drift.adwin import ADWIN
from menelaus.concept_drift.ddm import DDM
from menelaus.concept_drift.eddm import EDDM
from menelaus.concept_drift.lfr import LinearFourRates
from menelaus.concept_drift.stepd import STEPD
