"""
Data drift detection algorithms are focused on detecting changes in the
distribution of the variables within datasets. This could include shifts
univariate statistics, such as the range, mean, or standard deviations, or
shifts in multivariate relationships between variables, such as shifts in
correlations or joint distributions.
 
Data drift detection algorithms are ideal for researchers seeking to better
understand the change of their data over time or for the maintenance of deployed
models in situations where labels are unavailable. Labels may not be readily
available if obtaining them is computationally expensive or if, due to the
nature of the use case, a significant time lag exists between when the models
are applied and when the results are verified. Data drift detection is also
applicable in unsupervised learning settings.
"""
from menelaus.data_drift.hdddm import HDDDM
from menelaus.data_drift.kdq_tree import KdqTree
from menelaus.data_drift.pca_cd import PCACD
